This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 66364 - Unable to set up fa311 NIC
Unable to set up fa311 NIC
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: netcfg (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-08 14:00 EDT by Need Real Name
Modified: 2007-04-18 12:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 13:33:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-06-08 14:00:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; .NET CLR 
1.0.3705)

Description of problem:
I am a newbie to Linux.  I just installed it on a separate HDD and I boot from 
a floppy.  If I choose to install the NIC in the Redhat 7.3 Installation 
wizard, at initial boot the line item that initializes eth0 fails (as opposed 
to a green OK).  I went back and reinstalled 7.3, this time without eth0 
activated.  I then went in and addded it manually.  When I try to apply, I get 
the attached dump that tells me to report here.  My original NIC drvers had a 
section for Redhat 7.0.  I tried to compile these, and the new compiled module 
did not work.  I then went and upgraded to version 1.8 drivers, which included 
a Redhat 7.1 folder.  This came with a module that could be directly installed 
into what I assume is the Kernel-Drivers-Folder (folders dev\...\2.4.18-3
\drivers . Or something like that)I still get the same error.  I have attached 
the resulting code information as dump.txt and error.txt.  Please excuse me if 
I have not used the correct terms for describing this technology, and if the is 
already a bug report that I missed, just send me there and I will figure it 
out.  Thanks  PS-On boot Linux says the NIC is on IRQ 10-with PNP OS installed 
on and off in BIOS.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Open Network Configuration
2.Use natsemi as adapter on IRQ 10
3.Click Apply
	

Actual Results:  Code dump

Expected Results:  Network Card WORKS!

Additional info:

Traceback (innermost last):
  File "/usr/sbin/neat", line 1402, in ?
    gtk.mainloop()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2676, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in __call__
    ret = apply(self.func, a)
  File "/usr/sbin/neat", line 449, in on_applyButton_clicked
    self.save()
  File "/usr/sbin/neat", line 287, in save
    self.saveHardware()
  File "/usr/sbin/neat", line 302, in saveHardware
    hardwarelist.save()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCHardwareList.py", 
line 288, in 

save
    modules[hw.Card.ModuleName]['options'][confkey] = str(hw.Card.__dict__
[selfkey])
KeyError: options

Local variables in innermost frame:
isdn: <netconfpkg.NCisdnhardware.ConfISDN instance at 850e2c8>
hw: <netconfpkg.HardwareList.Hardware instance at 84fefc8>
selfkey: IRQ
wvdial: <netconfpkg.ConfSMB.ConfSMB instance at 8527240>
modules: <netconfpkg.NCHardwareList.MyConfModules instance at 84f50c8>
confkey: irq
self: [<netconfpkg.HardwareList.Hardware instance at 84fefc8>]
Comment 1 Bill Nottingham 2006-08-05 01:49:49 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 2 Bill Nottingham 2006-10-18 13:33:17 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.